/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.ws.addressing;

import java.net.URI;

/**
 * @author chamerling - eBM WebSourcing
 * 
 */
public class EndpointReference {

    protected URI address = null;

    /**
     * Creates a new instance of ${@link EndpointReference}
     * 
     * @param address
     */
    public EndpointReference(URI address) {
        this.setAddress(address);
    }

    /**
     * @return the address
     */
    public URI getAddress() {
        return address;
    }

    /**
     * @param address
     *            the address to set
     */
    public void setAddress(URI address) {
        if (address == null) {
            throw new NullPointerException("EPR address can not be null");
        }
        this.address = address;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "EPR : " + address;
    }
}
