/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.ws.notification;

import org.apache.axiom.om.OMElement;
import org.objectweb.petals.ws.addressing.EndpointReference;

/**
 * @author Christophe HAMERLING (chamerling) - eBM WebSourcing
 *
 */
public class UnsubscribeResponse {

    protected EndpointReference consumerEPR;

    protected EndpointReference producerEPR;

    protected OMElement content;

    /**
     * Creates a new instance of {@link UnsubscribeResponse}
     *
     */
    public UnsubscribeResponse() {
    }

    /**
     * @return the consumerEPR
     */
    public EndpointReference getConsumerEPR() {
        return this.consumerEPR;
    }

    /**
     * @param consumerEPR
     *            the consumerEPR to set
     */
    public void setConsumerEPR(EndpointReference consumerEPR) {
        this.consumerEPR = consumerEPR;
    }

    /**
     * @return the content
     */
    public OMElement getContent() {
        return this.content;
    }

    /**
     * @param content the content to set
     */
    public void setContent(OMElement content) {
        this.content = content;
    }

    /**
     * @return the producerEPR
     */
    public EndpointReference getProducerEPR() {
        return this.producerEPR;
    }

    /**
     * @param producerEPR the producerEPR to set
     */
    public void setProducerEPR(EndpointReference producerEPR) {
        this.producerEPR = producerEPR;
    }
}
