/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.ws.notification.handlers.request;

import org.apache.axiom.soap.SOAPEnvelope;
import org.objectweb.petals.ws.fault.WsnFault;
import org.objectweb.petals.ws.notification.WsnConstants;

/**
 * @author Christophe HAMERLING (chamerling) - eBM WebSourcing
 *
 */
public class ResumeHandler extends WSNHandler {

    /**
     * Creates a new instance of {@link ResumeHandler}
     *
     */
    public ResumeHandler() {
        super(WsnConstants.RESUME_URI, WsnConstants.RESUME_QNAME);
    }

    /*
     * (non-Javadoc)
     *
     * @see org.objectweb.petals.ws.notification.handlers.request.WSNHandler#handle(org.apache.axiom.soap.SOAPEnvelope)
     */
    @Override
    public SOAPEnvelope handle(SOAPEnvelope envelope) throws WsnFault {
        throw new WsnFault("Resume handler is not implemented !");
    }
}
